/merchant/invoices/:idRetrieve an Invoice by ID
getMerchantInvoicesByIdV2https://a-api.coinpayments.net/api/v2/merchant/invoices/:idRequest
path · query parametersidstringpathInvoice Id
include_full_detailsbooleanqueryIndicates whether to return information about Merchant, Metadata, Notes to recipient and email delivery settings
Responses
200 · 401 · 403List of goods or services with a statement of the sum due provided by the merchant, that a buyer intends to purchase
idstringnullablethe CoinPayments id for the invoice
invoiceIdstringnullablethe optional API caller provided external invoice number. Appears in screens shown to the Buyer and emails sent.
invoiceIdSuffixstringnullablethe optional numeric suffix for the CoinPayments.Services.Merchants.Dtos.InvoiceResponseV2Dto.InvoiceId. Used when the invoice is emailed to multiple customers
createdstringthe timestamp when the invoice was created
date-timeinvoiceDatestringthe date of the invoice, either the system created date or custom date specified by the merchant
date-timedueDatestringnullableoptional due date of the invoice
date-timeconfirmedstringnullablethe timestamp when the invoice was confirmed (paid)
date-timecompletedstringnullablethe timestamp when the invoice was completed (paid out to the merchant and CoinPayments fees)
date-timecancelledstringnullablethe timestamp when the invoice was manually cancelled. Applicable for payment invoices only
date-timeexpiresstringnullablethe timestamp when the invoice expires. Applicable for checkout and POS invoices only
date-timecurrencyunknownnullablethe currency the invoice is in
merchantunknownnullablethe merchant the invoice is for
merchantOptionsunknownnullableoptions to show/hide merchant information on an invoice, or include additional merchant information specific to an invoice
buyerunknownnullablethe buyer information, if not provided it will be requested during payment so that refunds can be sent if there is a problem with the payment.
descriptionstringnullablethe purchase description
customIdstringnullablethe API caller provided external ID for the item. Appears on the Merchant dashboard and reports only.
skustringnullablethe stock keeping unit (SKU) of the item
namestringthe name or title of the item
descriptionstringnullablethe detailed description of the item
quantityunknownthe quantity of the item. Must be greater than 0 and less than 999,999,999
originalAmountstringnullablethe original total price of the item if CoinPayments.Services.Merchants.Dtos.LineItemV2Dto.Amount represents a discounted price
amountstringthe subtotal price of the item (note: this is not a per unit price but the total price for the total quantity)
taxstringnullablethe total taxes charged on this item
amountunknownthe total amount of the invoice, with an optional breakdown that provides details, such as the total item amount, total tax amount, shipping, handling, insurance and discounts, if any
shippingunknownnullablethe shipping method and address
customDataobjectnullableany custom data the caller wishes to attach to the invoice which will be sent back in notifications
statusunknownthe status of the invoice (including payments received and payments confirmed)
requireBuyerNameAndEmailbooleannullableflag indicating whether a buyer name and email are required, they will be requested at checkout if not provider by the caller. The CoinPayments.Services.Merchants.Dtos.InvoiceResponseV2Dto.BuyerDataCollectionMessage will be displayed to the buyer when prompted.
buyerDataCollectionMessagestringnullablethe message to display when collecting buyer user data
notesstringnullablenotes for the merchant only, these are not visible to the buyers
notesToRecipientstringnullableany additional information to share with the buyer about the transaction
termsAndConditionsstringnullableany terms and conditions, e.g. a cancellation policy
emailDeliveryunknownnullablethe invoice email delivery options if the invoice is to be emailed
isEmailDeliverybooleanindicates if invoice was delivered by email or to be delivered by email
metadataunknownnullablethe invoice metadata, the integration and host where the invoice was created
poNumberstringnullableThe purchase order (PO) number associated with the invoice. Must be unique per merchant
payoutDetailsunknownnullableDetails of payout configuration and associated metadata for the invoice.
paymentCurrencyIdstringThe currencyId selected by a buyer to pay the invoice
paymentCurrencySymbolstringThe currencySymbol (e.g., ETH, SOL, etc.) selected by a buyer to pay the invoice
nativeCurrencyIdstringThe currency ID chosen by the merchant to display amounts in a user-friendly format.
nativeCurrencySymbolstringThe currencySymbol (e.g., USD, EUR, etc.) chosen by the merchant to display amounts in a user-friendly format.
expectedAmountstringExpected amount to be paid by a buyer
nativeExpectedAmountstringExpected amount to be paid by a buyer in the preferred native currency by merchant
actualAmountstringPaid amount by a buyer in a payment currency selected by a buyer
nativeActualAmountstringPaid amount by a buyer in a preferred native currency set by the merchant
paymentAddressstringnullableBlockchain payment address
errorCodeunknownnullableError code
feesunknownTotal transaction fees charged by CoinPayments in the selected currency.
nativeFeesunknownTransaction fees expressed in the preferred by merchant native currency (e.g., USD, EUR).
payoutunknownnullableFinal payout info to the merchant after deducting fees, state, dates, etc.
nativePayoutstringnullableFinal payout info to the merchant after deducting fees, state, dates, etc. in the preferred by merchant currency
refundEmailstringnullableEmail address to which refund notifications or confirmations should be sent.
stateunknownCurrent state of the invoice (e.g., Pending, Confirmed, Completed, etc.).
isActivebooleanIndicates whether the invoice payment is currently active and can receive payments.
pendingAtstringnullableTimestamp when the invoice was created or entered the pending state.
date-timeconfirmedAtstringnullableTimestamp when the transaction received the required confirmations on the blockchain.
date-timecompletedAtstringnullableTimestamp when the invoice was fully paid and marked as completed.
date-timeconfirmationsintegerNumber of blockchain confirmations currently received for the transaction.
int32requiredConfirmationsintegerNumber of confirmations required for the transaction to be considered fully verified.
int32merchantClientIdstringnullableId of the integration (merchant client) the invoice was created for, or null when it belongs to the primary balance.
uuidisLifeTimeFinishedbooleanInvoice in finished state more than 90 days
hideShoppingCartbooleanFlag for hiding icon on the checkout app
successUrlstringnullableThe URL to which the user is redirected upon successful completion of the invoice payment from the checkout app.
cancelUrlstringnullableThe URL where the user is redirected if they cancel the payment process from the checkout app.
fromCurrencystringThe buyer selected currency
toCurrencystringthe currency of the wallet or address into which to payout to
addressstringthe external address into which to pay out
frequencyunknownthe frequency of payments into merchant wallets for the current payment currency
